using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Move : MonoBehaviour
{
	public string rivalTag;
	public float velocity;
	public float jumpHeight;
	public GameManager gameManager;
	private float jumpForce;
	private int jump;

	public Rigidbody2D rb;



    // Start is called before the first frame update
    void Start()
    {
		jumpForce = Mathf.Sqrt(jumpHeight * -2 * (Physics2D.gravity.y * rb.gravityScale));
		jump = 0;
    }

    // Update is called once per frame
    void Update()
    {
		if (Input.GetKey(KeyCode.RightArrow)) {
			transform.Translate(new Vector3(velocity * Time.deltaTime, 0, 0));
		}

		if (Input.GetKey(KeyCode.LeftArrow))
		{
			transform.Translate(new Vector3(-velocity * Time.deltaTime, 0, 0));
		}

		if (Input.GetKeyDown(KeyCode.Space) && jump == 0)
		{
			rb.AddForce(new Vector2(0, jumpForce), ForceMode2D.Impulse);
			jump++;
		}
    }

	public void OnCollisionEnter2D(Collision2D other)
	{
		if (other.transform.tag == "Ground")
		{
			jump = 0;
		}

		if (other.transform.tag == rivalTag)
		{
			gameObject.SetActive(false);
			Debug.Log("Game Over!");
			gameManager.GameOver();
		}
	}
}
