using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class PushLever : MonoBehaviour
{
	public GameObject bridge;

	private bool isPushable;
	private bool bridgeUp;

    // Start is called before the first frame update
    void Start()
    {
		isPushable = false;
		bridgeUp = true;
		transform.GetComponent<Animator>().enabled = false;
    }

    // Update is called once per frame
    void Update()
    {
		if (Input.GetKeyDown(KeyCode.LeftShift) && isPushable && bridgeUp)
		{
			transform.GetComponent<Animator>().enabled = true;
			transform.GetComponent<Animator>().Play("Push_Lever");

			StartCoroutine("Wait");

			bridge.GetComponent<Animator>().enabled = true;
			bridge.GetComponent<Animator>().Play("Bridge_Down");
			bridge.GetComponent<BoxCollider2D>().enabled = true;
			bridgeUp = false;
		}
    }

	IEnumerator Wait()
	{
		yield return new WaitForSeconds(2);
	}

	public void OnTriggerEnter2D(Collider2D other)
	{
		if (other.tag == "Water")
			isPushable = true;
	}

	public void OnTriggerExit2D(Collider2D other)
	{
		if (other.tag == "Water")
			isPushable = false;
	}
}
